<section name='spellcasting' class='block'>
	{{#each t.spells.book as |book bookId|}}
	<div data-book='{{bookId}}' class='book vblock'>
		<h4 class='book-label label'>
			<span class='name'>{{localize label}}</span>
			<section class='caster-actions'>
				<action data-key='concentration' data-category='caster' data-book='{{bookId}}'>Concentration <value>{{numberFormat concentration sign=true}}</value></action>;
				<action data-key='caster-level' data-category='caster' data-book='{{bookId}}'>Caster Level <value>{{numberFormat cl sign=true}}</value></action>
			</section>
		</h4>
		<div class='spells vblock'>
			{{#each spells as |spellLevel level|}}
			<div data-book-id='{{bookId}}' data-book-level='{{level}}' class='book-level inline level {{#if enabled}}enabled{{else}}disabled{{/if}}'>
				<h5>
					<span class='level-label label'>{{localize label}}</span>
					<span class='slots {{#if (gt max 0)}}active{{else}}inactive{{/if}}'>[
						{{~#if (and max enabled)~}}
						<span class='left'>{{left}}</span><span class='out-of-max'>/<span class='max'>{{max}}</span></span>
						{{~else~}}
						n/a
						{{~/if~}}
					]</span>
					{{~#if dcMode}} <span class='dc'>(DC {{dcMode}})</span>{{/if~}}
				</h5>:
				<ol class='items spell-list item-list inline-list'>
				{{#each spells as |spell|}}
					<li class='item spell' data-item-id='{{id}}'>
						{{~> koboldworks-statblock-item-spell item=spell dcMode=../dcMode}}
					</li>
				{{/each}}
				</ol>
			</div>
			{{/each}}
		</div>
	</div>
	{{/each}}
</section>
